View Issue Details

IDProjectCategoryView StatusLast Update
12005Feature requests[All Projects] Survey designpublic2018-04-06 11:48
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary12005: Separate settings
Description
  1. All question advanced settings are shown in one big part : i really like to have a accordion for each category
  2. All plugins are shown in 'plugins' accordion : think it's really better if we have an accordion for each plugin
Additional Information

I do the pull request for develop. 1 it's really a must have, for 2 : there are a little issue in 2.5X with plugin with empty settings : fixed. Seems really better now.

For 2: i's thinking too to do a 'ajax accordion'. Maybe we can do it in 1 too after.

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2016-12-13 09:25

developer   ~42528

Fix committed to develop_setting_separate branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21758

DenisChenu

DenisChenu

2016-12-13 09:31

developer   ~42529

https://github.com/LimeSurvey/LimeSurvey/pull/613

PS : Sorry for ... push new branch on github .... but : the 2 commit are shown here ;)

Related Changesets

LimeSurvey: develop_setting_separate ca07a58a

2016-12-13 09:13:05

DenisChenu

Details Diff
New feature 12005: Separate survey plugins settings
Dev : really more easy to find if you have 2 or more plugins activated
Affected Issues
12005
mod - application/views/admin/survey/subview/accordion/_accordion_container.php Diff File
add - application/views/admin/survey/subview/accordion/_plugin_panel.php Diff File
mod - application/views/admin/survey/subview/accordion/_plugins_panel.php Diff File

LimeSurvey: develop_setting_separate 0ebf42c8

2016-12-13 09:24:54

DenisChenu

Details Diff
New feature 12005: Separate question advanced settings by categories
Dev: move questions js from admin_core to questions.js
Affected Issues
12005
mod - application/views/admin/survey/Question/advanced_settings_view.php Diff File
mod - application/views/admin/survey/Question/editQuestion_view.php Diff File
mod - scripts/admin/admin_core.js Diff File
mod - scripts/admin/questions.js Diff File

LimeSurvey: develop 8a6fc6d0

2016-12-14 16:13:48

DenisChenu


Committer: GitHub Details Diff
Merge pull request #613 from Shnoulle/develop_setting_separate

Dev: separe settings in survey and question
Affected Issues
12005
mod - application/views/admin/survey/Question/advanced_settings_view.php Diff File
mod - application/views/admin/survey/Question/editQuestion_view.php Diff File
mod - application/views/admin/survey/subview/accordion/_accordion_container.php Diff File
add - application/views/admin/survey/subview/accordion/_plugin_panel.php Diff File
mod - application/views/admin/survey/subview/accordion/_plugins_panel.php Diff File
mod - scripts/admin/admin_core.js Diff File
mod - scripts/admin/questions.js Diff File

Issue History

Date Modified Username Field Change
2016-12-13 09:00 DenisChenu New Issue
2016-12-13 09:00 DenisChenu Status new => assigned
2016-12-13 09:00 DenisChenu Assigned To => DenisChenu
2016-12-13 09:25 DenisChenu Changeset attached => LimeSurvey develop_setting_separate ca07a58a
2016-12-13 09:25 DenisChenu Changeset attached => LimeSurvey develop_setting_separate 0ebf42c8
2016-12-13 09:25 DenisChenu Note Added: 42528
2016-12-13 09:25 DenisChenu Resolution open => fixed
2016-12-13 09:31 DenisChenu Note Added: 42529
2016-12-13 09:32 DenisChenu Status assigned => feedback
2016-12-13 09:32 DenisChenu Fixed in Version => 3.0
2016-12-15 08:39 DenisChenu Changeset attached => LimeSurvey develop 8a6fc6d0
2016-12-15 08:39 DenisChenu Status feedback => resolved
2018-04-06 11:48 markusfluer Status resolved => closed